<?php
/*======================================================================*\
|| #################################################################### ||
|| # Package - YJ Google Map									        ||
|| # Copyright (C) since 2007  Youjoomla.com . All Rights Reserved.     ||
|| # license - PHP files are licensed under  GNU/GPL V2                 ||
|| # license - CSS  - JS - IMAGE files  are Copyrighted material        ||
|| # bound by Proprietary License of Youjoomla.com                      ||
|| # for more information visit http://www.youjoomla.com/license.html   ||
|| # Redistribution and  modification of this software                  ||
|| # is bounded by its licenses                                         ||
|| # websites - http://www.youjoomla.com | http://www.yjsimplegrid.com  ||
|| #################################################################### ||
\*======================================================================*/

// no direct access
defined('_JEXEC') or die('Restricted access');
require_once (dirname(__FILE__).DIRECTORY_SEPARATOR.'helper.php');


$module_template 		=  		$params->get('module_template','Default');
$yjgmapPreText   		= 		$params->get('yjgmapPreText');
$yjgmapPostText     	=  		$params->get('yjgmapPostText');
$yjgmapID				= 		$module->id;
$yjgmapApiKey			= 		$params->get('yjgmapApiKey');
$yjgmapName				= 		$params->get('yjgmapName','Youjoomla');
$yjgmapLocation			=		$params->get('yjgmapLocation','27.966508,-82.45662');
$yjgmapHue				= 		$params->get('yjgmapHue','#cc5132');
$yjgmapSaturation		= 		$params->get('yjgmapSaturation','-10');
$yjgmapZoom				= 		$params->get('yjgmapZoom','15');
$yjgmapLightness		= 		$params->get('yjgmapLightness','100');
$yjgmapVisibility		= 		$params->get('yjgmapVisibility','simplified');
$yjgmapStyled			= 		$params->get('yjgmapStyled',1);
$yjgmapMarkerTitle		= 		$params->get('yjgmapMarkerTitle','Youjoomla');
$yjgmapInfoText			= 		$params->get('yjgmapInfoText','My Info Window Text');
$yjgmapLoadInfo			= 		$params->get('yjgmapLoadInfo',1);


$getYJCounter = modYJGooglemapHelper::getYJGmap($params,$yjgmapID,$yjgmapApiKey,$yjgmapName,$yjgmapLocation);
require(JModuleHelper::getLayoutPath('mod_yj_googlemap',''.$module_template.'/default'));
?>